Bug 1576912 - Pen Input Does Not Invert With Display
Summary: Pen Input Does Not Invert With Display
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 17:02 UTC by Krister Kittelson
Modified: 2019-05-28 22:36 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1460120
Environment:
Last Closed: 2019-05-28 22:36:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Krister Kittelson 2018-05-10 17:02:11 UTC
+++ This bug was initially created as a clone of Bug #1460120 +++

Description of problem:
When i rotate my screen position everything on screen is correctly rotated but touchscreen and touchpad stays not inverted -> just like laptop stays in previous position.

Steps to Reproduce:
1. Rotate laptop screen (my laptop do it automatically when rotate it)

Expected results:
Touchpad and touchscreen events are correctly inverted matching actual screen position (90, 180 or 360 degree).

Additional info:
My notebook is Lenovo Yoga 3 Pro. I'm running Fedora 26 (Gnome with Wayland session) with all latest updates. I don't know if it's connected with wayland.

--- Additional comment from Filippo Rossoni on 2017-07-15 11:55:15 EDT ---

same problem with pen on lenovo miix 700

--- Additional comment from Krister Kittelson on 2018-02-16 08:16:08 EST ---

Can confirm on the HP spectre x360 13t, running Fedora 27 and Gnome 3.26.2.

Affects pen, touchscreen, and touchpad. Possibly a problem with the configuration of libinput, it seems that the rotation events don't affect the input axes?

--- Additional comment from Krister Kittelson on 2018-04-05 08:44:28 EDT ---

Partially fixed: Touchscreen now respects rotation

Remaining issue: Pen still fails to invert

This puts a damper on using Fedora as an artist's workstation, since painting and sketching is most often done in a portrait orientation.

Adam, what do you need from me to help get this on the resolution track? Since there were no updates to this bug report I assume the touchscreen fixes were from other reports. Should we merge this somewhere? Let me know how I can be of assistance so we can get this from "new" to somewhere else.

Since libinput's documentation is more platform-independent I have had some trouble finding the right direction to take re: Fedora's specific implementation. I'm an SQL and Python developer so my skills are probably not useful here, but perhaps I could hunt down and modify config entry somewhere. Can you direct me to the right rough area? If not in the ballpark, even state park would be close enough.

--- Additional comment from Fedora End Of Life on 2018-05-03 04:16:44 EDT ---

This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

--- Additional comment from Krister Kittelson on 2018-05-10 12:59:49 EDT ---

Confirmed still broken in Fedora 28. Will clone.

Comment 1 Krister Kittelson 2018-05-10 17:03:36 UTC
Chose component libinput as I believe the problem actually lies there. Please feel free to point elsewhere.

Comment 2 Peter Hutterer 2018-05-11 00:27:49 UTC
libinput only does rotation when it's a hardware problem, e.g. a touchscreen is mounted upside-down on the display panel. But otherwise, it's the job of the compositor in Wayland or the job of the X server. Punting this to mutter.

Comment 3 Ben Cotton 2019-05-02 20:49:57 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 22:36:12 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.